import { IngestPath as $64$luvio_engine_IngestPath, Luvio as $64$luvio_engine_Luvio, Store as $64$luvio_engine_Store, FragmentSelection as $64$luvio_engine_FragmentSelection, ResourceIngest as $64$luvio_engine_ResourceIngest, DurableStoreKeyMetadataMap as $64$luvio_engine_DurableStoreKeyMetadataMap, NormalizedKeyMetadata as $64$luvio_engine_NormalizedKeyMetadata } from '@luvio/engine';
export declare const VERSION = "8a74e1db27da9ce5e8eab14a64bede54";
export declare function validate(obj: any, path?: string): TypeError | null;
export declare const RepresentationType: string;
export declare function normalize(input: ApexMethodExecuteErrorResponse, existing: ApexMethodExecuteErrorResponseNormalized, path: $64$luvio_engine_IngestPath, luvio: $64$luvio_engine_Luvio, store: $64$luvio_engine_Store, timestamp: number): ApexMethodExecuteErrorResponseNormalized;
export declare const select: () => $64$luvio_engine_FragmentSelection;
export declare function equals(existing: ApexMethodExecuteErrorResponseNormalized, incoming: ApexMethodExecuteErrorResponseNormalized): boolean;
export declare const ingest: $64$luvio_engine_ResourceIngest;
export declare function getTypeCacheKeys(rootKeySet: $64$luvio_engine_DurableStoreKeyMetadataMap, luvio: $64$luvio_engine_Luvio, input: ApexMethodExecuteErrorResponse, fullPathFactory: () => string | $64$luvio_engine_NormalizedKeyMetadata): void;
/**
 * Response in case of an error.
 *
 * Keys:
 *    (none)
 */
export interface ApexMethodExecuteErrorResponseNormalized {
    debugInfo?: string;
    errorMessage: string;
}
/**
 * Response in case of an error.
 *
 * Keys:
 *    (none)
 */
export interface ApexMethodExecuteErrorResponse {
    debugInfo?: string;
    errorMessage: string;
}
